vigra - EdgeWeightNodeFeatures< MERGE_GRAPH, EDGE_INDICATOR_MAP, EDGE_SIZE_MAP, NODE_FEATURE_MAP, NODE_SIZE_MAP, MIN_WEIGHT_MAP > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| EdgeWeightNodeFeatures< MERGE_GRAPH, EDGE_INDICATOR_MAP, EDGE_SIZE_MAP, NODE_FEATURE_MAP, NODE_SIZE_MAP, MIN_WEIGHT_MAP > Class Template Reference |

get minimum edge weight from an edge indicator and difference of node features More...

`#include <vigra/hierarchical_clustering.hxx>`

## Public Member Functions
Edge | contractionEdge ()
| get the edge which should be contracted next
WeightType | contractionWeight ()
| get the edge weight of the edge which should be contracted next
| EdgeWeightNodeFeatures (MergeGraph &mergeGraph, EDGE_INDICATOR_MAP edgeIndicatorMap, EDGE_SIZE_MAP edgeSizeMap, NODE_FEATURE_MAP nodeFeatureMap, NODE_SIZE_MAP nodeSizeMap, MIN_WEIGHT_MAP minWeightEdgeMap, const ValueType beta, const metrics::MetricType metricType, const ValueType wardness=1.0)
| construct cluster operator
void | eraseEdge (const Edge &edge)
| will be called via callbacks from mergegraph
void | mergeEdges (const Edge &a, const Edge &b)
| will be called via callbacks from mergegraph
MergeGraph & | mergeGraph ()
| get a reference to the merge
void | mergeNodes (const Node &a, const Node &b)
| will be called via callbacks from mergegraph

## Detailed Description

### template<class MERGE_GRAPH, class EDGE_INDICATOR_MAP, class EDGE_SIZE_MAP, class NODE_FEATURE_MAP, class NODE_SIZE_MAP, class MIN_WEIGHT_MAP>
class vigra::cluster_operators::EdgeWeightNodeFeatures< MERGE_GRAPH, EDGE_INDICATOR_MAP, EDGE_SIZE_MAP, NODE_FEATURE_MAP, NODE_SIZE_MAP, MIN_WEIGHT_MAP >

get minimum edge weight from an edge indicator and difference of node features

The documentation for this class was generated from the following file:

- vigra/hierarchical_clustering.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)